Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deCamera.hpp File Reference

Viewport & Rendering Data. More...

`#include "deGlobalTypes.hpp"`
`#include "deMath.hpp"`
`#include "deScene.hpp"`

Include dependency graph for deCamera.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | IdeCamera
class | IdePlaneFrustum
## Defines
#define | DECAMERA_API DESCENE_API
## Typedefs
typedef IdeCamera *(* | fIdeCamera_CreateCamera )()
typedef IdeCamera *(* | fIdeCamera_CreateCameraFromRef )(IdeCamera *ref)
## Functions
C DEDLL_IMPORT IdeCamera * | IdeCamera_CreateCamera ()
| Create an instance of IdeCamera.
DEDLL_IMPORT IdeCamera * | IdeCamera_CreateCameraFromRef (IdeCamera *ref)
C DEDLL_IMPORT IdePlaneFrustum * | IdeFrustum_CreatePlaneFrustum ()
| Create an instance of IdePlaneFrustum.

## Detailed Description

Viewport & Rendering Data.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jan 2002

Author:
  Assassin

Remarks:
  Creation

## Define Documentation

#define DECAMERA_API DESCENE_API

## Typedef Documentation

typedef IdeCamera*(* fIdeCamera_CreateCamera)()

typedef IdeCamera*(* fIdeCamera_CreateCameraFromRef)(IdeCamera* ref)

## Function Documentation

C DEDLL_IMPORT IdeCamera* IdeCamera_CreateCamera | ( |  | ) |

| Create an instance of IdeCamera.

DEDLL_IMPORT IdeCamera* IdeCamera_CreateCameraFromRef | ( | IdeCamera * | ref | ) |

C DEDLL_IMPORT IdePlaneFrustum* IdeFrustum_CreatePlaneFrustum | ( |  | ) |

| Create an instance of IdePlaneFrustum.